#ifdef PCIE1553UDX_EXPORTS
#define PCIe1553UDxDLL_API __declspec(dllexport)
#define EXTERN extern "C"
#else
#define PCIe1553UDxDLL_API __declspec(dllimport)
#define EXTERN
#endif

#include "defs.h"

EXTERN PCIe1553UDxDLL_API UINT32 __stdcall DEVICE_OPEN(UINT32, HANDLE *);
EXTERN PCIe1553UDxDLL_API void	 __stdcall DEVICE_CLOSE(HANDLE);
EXTERN PCIe1553UDxDLL_API UINT32 __stdcall INIT_MIL1553(HANDLE, UINT32, UINT32, UINT32);
EXTERN PCIe1553UDxDLL_API UINT32 __stdcall MIL1553_START_STOP(HANDLE, UINT32, BOOL);
EXTERN PCIe1553UDxDLL_API UINT32 __stdcall READ_MIL1553(HANDLE, UINT32, UINT32, UINT32, UINT32, UINT32 *, void *);
EXTERN PCIe1553UDxDLL_API UINT32 __stdcall WR_MIL1553_FRM(HANDLE, UINT32 nCh, WR_MIL1553UDx Str, UINT32 *);
EXTERN PCIe1553UDxDLL_API UINT32 __stdcall GetDeviceType(HANDLE);

PCIe1553UDxDLL_API UINT32 __stdcall SetMode(HANDLE, UINT32, UINT32);
PCIe1553UDxDLL_API UINT32 __stdcall SetRT_T1_RCVCK(HANDLE, UINT32, UINT32);
PCIe1553UDxDLL_API UINT32 __stdcall BusSelection(HANDLE, UINT32, UINT32);
PCIe1553UDxDLL_API BOOL	  __stdcall EnableDMA(HANDLE);
PCIe1553UDxDLL_API UINT32 __stdcall WorkEnable(HANDLE, UINT32, BOOL);
PCIe1553UDxDLL_API BOOL	  __stdcall WriteBar(HANDLE, UINT32, const void *, UINT32);
PCIe1553UDxDLL_API BOOL   __stdcall WriteReg(HANDLE, UINT32, UINT32);
PCIe1553UDxDLL_API BOOL   __stdcall ReadReg(HANDLE, UINT32, UINT32 *);
PCIe1553UDxDLL_API UINT32 __stdcall GetNBlockRawDMA(HANDLE, UINT32, UINT32 *);
PCIe1553UDxDLL_API UINT32 __stdcall ReadDMAChDataBlocks(HANDLE, UINT32, void *, UINT32, UINT32 *);
PCIe1553UDxDLL_API UINT32 __stdcall SetBCSTRT(HANDLE, UINT32 nCh, BOOL bFlag);
PCIe1553UDxDLL_API BOOL	  __stdcall ProcessDeviceIOControl(HANDLE m_hDevice,
													   UINT32 dwIoControlCode,
														LPVOID lpInBuffer,
														UINT32 nInBufferSize,
														LPVOID lpOutBuffer,
														UINT32 nOutBufferSize,
														LPDWORD lpBytesReturned);
